IWN(4)

NAME
iwn - Intel Wireless 4965AGN IEEE 802.11 driver

SYNOPSIS
iwn* at pci? dev ? function ?

DESCRIPTION
The iwn driver provides support for Intel Wireless WiFi Link 4965AGN Mini PCI Express network adapters.

By default, the iwn driver configures the adapter for BSS operation (aka infrastructure mode). This mode requires the use of an access point.

For more information on configuring this device, see ifconfig(8).

CONFIGURATION
The iwn driver can be configured at runtime with ifconfig(8) using the following parameters:

bssid bssid
    Set the desired BSSID.

-bssid
    Unset the desired BSSID. The interface will automatically select a BSSID in this mode, which is the default.

chan n
    Set the channel (radio frequency) to be used by the driver based on the given channel ID n.

-chan
    Unset the desired channel to be used by the driver. The driver will automatically select a channel in this mode, which is the default.

media media
    The iwn driver supports the following media types:

    autoselect
        Enable autoselection of the media type and options.

mediaopt opts
    The iwn driver supports the following media options:

    monitor
        Select monitor mode.

-mediaopt opts
    Disable the specified media options on the driver and return it to the default mode of operation (BSS).

mode mode
    The iwn driver supports the following modes:

    11a Force 802.11a operation.
    11b Force 802.11b operation.
    11g Force 802.11g operation.

nwid id
    Set the network ID. The id can either be any text string up to 32 characters in length, or a series of hexadecimal digits up to 64 digits. An empty id string allows the interface to connect to any available access points. By default the iwn driver uses an empty string. Note that network ID is synonymous with Extended Service Set ID (ESSID).

nwkey key
    Enable WEP encryption using the specified key. The key can either be a string, a series of hexadecimal digits (preceded by ‘0x’), or a set of keys of the form “n:k1,k2,k3,k4”, where ‘n’ specifies which of the keys will be used for transmitted packets, and the four keys, “k1” through “k4”, are configured as WEP keys. If a set of keys is specified, a comma (‘’), within the key must be escaped with a backslash. Note that if multiple keys are used, their order must be the same within the network. iwn is capable of using both 40-bit (5 characters or 10 hexadecimal digits) or 104-bit (13 characters or 26 hexadecimal digits) keys.

-nwkey
    Disable WEP encryption. This is the default mode of operation.

EXAMPLES
The following example configures iwn0 to join whatever network is available on boot, using WEP key “0x1deadbeef1”, channel 11, obtaining an IP address using DHCP:

    dhcp NONE NONE NONE nwkey 0x1deadbeef1 chan 11

Configure iwn0 for WEP, using hex key “0x1deadbeef1”:

    # ifconfig iwn0 nwkey 0x1deadbeef1

Return iwn0 to its default settings:

    # ifconfig iwn0 -bssid -chan media autoselect \
    	nwid "" -nwkey

Join an existing BSS network, “my_net”:

    # ifconfig iwn0 192.168.1.1 netmask 0xffffff00 nwid my_net

DIAGNOSTICS

iwn%d: device timeout A frame dispatched to the hardware for transmission did not complete in time. The driver will reset the hardware. This should not happen.

iwn%d: fatal firmware error For some reason, the firmware crashed. The driver will reset the hardware. This should not happen.

iwn%d: radio is disabled by hardware switch The radio transmitter is off and thus no packet can go out. The driver will reset the hardware. Make sure the laptop radio switch is on.

iwn%d: error %d, could not read firmware %s For some reason, the driver was unable to read the firmware image from the filesystem. The file might be missing or corrupted.

iwn%d: could not get firmware handle %s

iwn%d: could not read firmware The driver was unable to find the file with the proper firmware image. It should be located in /libdata/firmware/if_iwn.

iwn%d: firmware file too short: %d bytes The firmware image is corrupted and can't be loaded into the adapter.

iwn%d: could not load firmware An attempt to load the firmware into the adapter failed. The driver will reset the hardware.

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), pci(4), ifconfig(8)

AUTHORS
The iwn driver and this man page were written by Damien Bergamini <damien.bergamini@free.fr>.